Bug 536165 - (RHQ-544) need full (or near exhaustive) test harness for plugin metadata updates [NEEDINFO]
need full (or near exhaustive) test harness for plugin metadata updates
Product: RHQ Project
Classification: Other
Component: Tests (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: Task
Depends On:
  Show dependency treegraph
Reported: 2008-06-05 17:19 EDT by Joseph Marques
Modified: 2014-05-13 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-13 12:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwelton: needinfo? (jsanda)

Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-06-05 17:19:00 EDT
basically, instead of attacking the problem from a bug fixing perspective (reactive) we need to be more proactive in detecting issues around updating plugins.  something like a series of files that test all possible update permutations to the rhq-plugin.xml files, and then runs them through our test harness.  even if we fail a number of tests, at least we'll know what mods we can survive, and where we fall down.  so, the more exhaustive this harness is the better; even if we find we initially fail many small tests, having the knowledge of what we can and can't do should help us to better estimate the remaining work to make plugin metadata updates perfect (or whatever we deem as an acceptable level of working-ness).
Comment 1 Heiko W. Rupp 2008-06-06 04:43:01 EDT
Just as a note: we already have a  lot of test cases in
Comment 2 Red Hat Bugzilla 2009-11-10 16:11:31 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-544
This bug is incorporated by RHQ-511
Comment 3 Corey Welton 2010-08-10 14:10:07 EDT
john - what has been implemented here thus far?

Note You need to log in before you can comment on or make changes to this bug.